attasidor_xml = window.attasidor_xml or ""
drama_xml = window.drama_xml or ""
lasbart_xml = window.lasbart_xml or ""
talbanken_xml = window.talbanken_xml or ""

window.all_positional_attributes = {
                lexical_attributes: ["pos", "msd", "lemma", "lex", "sense", "saldo"]
                compound_attributes: ["prefix", "suffix", "complemgram", "compwf"]
                dependency_attributes: ["ref", "dephead", "deprel"]
                lexical_classes: ["blingbring", "swefn"]
                sentiment: ["sentiment"]
}

window.modern_positional_attributes = {
                lexical_attributes: ["pos", "msd", "lemma", "lex", "sense"]
                compound_attributes: ["complemgram", "compwf"]
                dependency_attributes: ["ref", "dephead", "deprel"]
                sentiment: ["sentiment"]
}

window.all_text_attributes = {
                readability_metrics: ["lix", "ovix", "nk"]
                lexical_classes: ["blingbring", "swefn"]
}

window.examples =
    sv:
        [
            title: "Drama"
            corpus: "drama"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                tag: "p"
                attributes: []
            root:
                tag: "text"
                attributes: []
            extra_tags: []
            positional_attributes: modern_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: drama_xml
        ,
            title: "Åtta sidor"
            corpus: "attasidor"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "root"
            root:
                tag: "text"
                attributes: ["date","title"]
            extra_tags: []
            positional_attributes: modern_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: attasidor_xml
        ,
            title: "Talbanken"
            corpus: "talbanken"
            textmode: "xml"
            word_segmenter:
                tag: "w"
                attributes: [
                    { key: "ref", attribute: "ref" }
                    { key: "deprel", attribute: "deprel" }
                    { key: "dephead", attribute: "dephead" }
                ]
            sentence_segmentation:
                sentence_segmenter: "blanklines",
                sentence_chunk: "text"
            paragraph_segmentation: "none"
            root:
                tag: "text"
                attributes: []
            extra_tags: []
            positional_attributes: modern_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: talbanken_xml
        ,
            title: "Läsbart"
            corpus: "lasbart"
            textmode: "xml"
            word_segmenter:
                tag: "w"
                attributes: [
                    { key: "pos", attribute: "msd" }
                ]
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer",
                sentence_chunk: "text"
            paragraph_segmentation: "none"
            root:
                tag: "text"
                attributes: ["source","age","author","type","title"]
            extra_tags: []
            positional_attributes: modern_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: lasbart_xml
        ,
            title: "Ikea"
            corpus: "ikea"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            positional_attributes: all_positional_attributes
            named_entity_recognition: [
                    "ex",
                    "type",
                    "subtype"
                ]
            extra_tags: []
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Ikea">
    Ikea (namnet är bildat av initialerna för Ingvar Kamprad Elmtaryd Agunnaryd) är ett multinationellt möbelföretag som grundades 1943 av Ingvar Kamprad. Bolaget ägs av en stiftelse i Nederländerna som i sin tur ägs av stiftelsen Interogo i Luxemburg, men kontrolleras alltjämt av familjen Kamprad. Under verksamhetsåret 2012 omsatte Ikeakoncernen 241 miljarder kronor. 2008 hade koncernen omkring 135 000 anställda i 45 länder. Huvudkontoret för Sverige ligger i Helsingborg. I Helsingborg sitter idag också många av de globala ledningsfunktionerna för hela koncernen (marknadsföring, juridik, information med flera). Dessa kommer dock flytta ner till Malmö 1 september 2015, då ett nytt kontor med plats för 800 anställda står klart i Vintrie park bredvid varuhuset på Svågertorp.

    2013 fanns totalt 349 Ikeavaruhus i 43 länder och territorier. Av dessa varuhus drivs ca 40 av externa franchisetagare i bland annat Mellanöstern, spanska öarna och på delar av den asiatiska marknaden.

    De fem största försäljningsländerna är Tyskland 16 %, USA 11 %, Frankrike 10 %, Storbritannien 7 % och Italien 7 %.

    I Sverige finns totalt 19 varuhus. Det nyaste invigdes i Borlänge 25 oktober 2013. Varuhuset som invigdes dessförinnan var det i Uddevalla den 8 maj 2013 och är på 37 400 kvadratmeter. Världens nordligaste Ikea ligger i Haparanda i Sverige, vid gränsen till Finland (HaparandaTornio). Ikea i södra Moskva var år 2005 världens mest besökta shoppingcenter med sina 55 miljoner besökare. Samtidigt var Ikea i norra Moskva (som finns på vägen till Sjeremetievo internationella flygplats) världens näst mest besökta shoppingcenter.

    Ikea namnger sina produkter tematiskt. Badrumsprodukter får till exempel namn från svenska sjöar och vattendrag, matsalsbord och stolar namnges med finländska geografiska namn, bord och stolar ges manliga namn och mattor får danska geografiska namn. Ikeas produkter har i de allra flesta fallen samma namn över hela världen.

    Företagets katalog med bilder och priser på deras möbler är världens största kommersiella trycksak. Den trycktes 2012 på 27 språk och i 191 miljoner exemplar. En ny upplaga av katalogen kommer varje år i augusti eller september, beroende på utgivningsland.
    </text>
    """
        ,
            title: "Exempelkorpus"
            corpus: "exempelkorpus"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            root:
                tag: "text"
                attributes: ["title"]
            sentence_segmentation:
                tag: "s"
                attributes: ["number"]
            paragraph_segmentation:
                tag: "p"
                attributes: ["name"]
            extra_tags:
                [
                    tag: "chapter"
                    attributes: ["name"]
                ]
            positional_attributes: modern_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Exempelkorpus">
      <chapter name="Första kapitlet">
        <p name="Första stycket">
          <s number="1">
            Detta är korpusens första mening.
          </s>
          <s number="2">
            Detta är ytterligare en mening.
          </s>
        </p>
        <p name="Andra stycket">
          <s number="3">
            Här kommer en mening i andra stycket.
          </s>
        </p>
      </chapter>
      <chapter name="Andra kapitlet">
        <p name="Tredje stycket">
          <s number="4">
            Världens sista mening.
          </s>
        </p>
      </chapter>
    </text>
    """
        ]
    "sv-dev":
        [
            title: "Åtta sidor"
            corpus: "attasidor"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "root"
            root:
                tag: "text"
                attributes: ["date","title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            named_entity_recognition: [
                    "ex",
                    "type",
                    "subtype"
                ]
            text_attributes: all_text_attributes
            corpus_xml: attasidor_xml
        ,
            title: "Ikea"
            corpus: "ikea"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            positional_attributes: all_positional_attributes
            named_entity_recognition: [
                    "ex",
                    "type",
                    "subtype"
                ]
            extra_tags: []
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Ikea">
    Ikea (namnet är bildat av initialerna för Ingvar Kamprad Elmtaryd Agunnaryd) är ett multinationellt möbelföretag som grundades 1943 av Ingvar Kamprad. Bolaget ägs av en stiftelse i Nederländerna som i sin tur ägs av stiftelsen Interogo i Luxemburg, men kontrolleras alltjämt av familjen Kamprad. Under verksamhetsåret 2012 omsatte Ikeakoncernen 241 miljarder kronor. 2008 hade koncernen omkring 135 000 anställda i 45 länder. Huvudkontoret för Sverige ligger i Helsingborg. I Helsingborg sitter idag också många av de globala ledningsfunktionerna för hela koncernen (marknadsföring, juridik, information med flera). Dessa kommer dock flytta ner till Malmö 1 september 2015, då ett nytt kontor med plats för 800 anställda står klart i Vintrie park bredvid varuhuset på Svågertorp.

    2013 fanns totalt 349 Ikeavaruhus i 43 länder och territorier. Av dessa varuhus drivs ca 40 av externa franchisetagare i bland annat Mellanöstern, spanska öarna och på delar av den asiatiska marknaden.

    De fem största försäljningsländerna är Tyskland 16 %, USA 11 %, Frankrike 10 %, Storbritannien 7 % och Italien 7 %.

    I Sverige finns totalt 19 varuhus. Det nyaste invigdes i Borlänge 25 oktober 2013. Varuhuset som invigdes dessförinnan var det i Uddevalla den 8 maj 2013 och är på 37 400 kvadratmeter. Världens nordligaste Ikea ligger i Haparanda i Sverige, vid gränsen till Finland (HaparandaTornio). Ikea i södra Moskva var år 2005 världens mest besökta shoppingcenter med sina 55 miljoner besökare. Samtidigt var Ikea i norra Moskva (som finns på vägen till Sjeremetievo internationella flygplats) världens näst mest besökta shoppingcenter.

    Ikea namnger sina produkter tematiskt. Badrumsprodukter får till exempel namn från svenska sjöar och vattendrag, matsalsbord och stolar namnges med finländska geografiska namn, bord och stolar ges manliga namn och mattor får danska geografiska namn. Ikeas produkter har i de allra flesta fallen samma namn över hela världen.

    Företagets katalog med bilder och priser på deras möbler är världens största kommersiella trycksak. Den trycktes 2012 på 27 språk och i 191 miljoner exemplar. En ny upplaga av katalogen kommer varje år i augusti eller september, beroende på utgivningsland.
    </text>
    """
        ]
    "sv-1800":
        [
            title: "Aftonbladet"
            corpus: "Aftonbladet"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "linebreaks"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title", "date"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Aftonbladet-exempel" date="1852-06-16">
    En boaorm
    Den '21 Maj på aftonen blefvo de resande som med jernvågståget afgingo från Havre till Paris förskråckta genom en ovanlig händelse
    Med trainen följde några vilda djur som skulle begagnas vid en representation i Hippodromen neml ett lejon två lejoninnor en tiger en jaguar en hyäna två panthrar osv
    Herr Hebert hvilken djuren tillhörde hade dessutom medtagit en boaorm om 18 fots längd som han ville skänka Amault hvilken är direktör vid Hippodromen
    Denna orm var innesluten i en låda som var upphängd under den waggon hvari de andra djuren befunno sig
    Lådan var sannolikt för liten så att ormen icke hade frihet nog att röra sig det vissa är att den sprängde lådan kröp uppåt waggonen och spatserade från den ena vagnen till den andra utan att blifva bemärkt
    Plötsligen såg en af konduktörerna dess hufvud tätt vid sig och utstötte ett förfärligt skri
    Trainen stannades
    Hebert och två afrikaner som följde honom sökte nu bemäktiga sig djuret som hade snott sig om de två jernstånger som omgåfvo lokomotiven
    Efter två timmars ansträngningar lyckades det att få ormen bort från jernstången genom att surra ett tjockt tåg om dess strupe hvilket så när hade qväft den och att bringa den i förvar i en solidare kista än den förra
    Vid ankomsten till Paris bragtes ormen straxt till Jardin des plantes
    </text>
    """
        ]
    de:
        [
            title: "Beispiel"
            corpus: "example"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Beispiel">
    Unter Sprache versteht man die Menge, die als Elemente alle komplexen Systeme der Kommunikation beinhaltet. Der Term wird meist verwendet, um anzuzeigen, dass konkrete Zeichensysteme Elemente dieser Menge sind (z. B. die deutsche Sprache, die Programmiersprache Basic); umgekehrt, um anzuzeigen, dass diese konkreten Zeichensysteme den Eigenschaften einer Definition des Begriffs „Sprache“ genügen. Eine andere Definition ist: Sprachen sind „die Systeme von Einheiten und Regeln, die den Mitgliedern von Sprachgemeinschaften als Mittel der Verständigung dienen“.

    Es werden zahlreiche Einzelsprachen unterschieden. Zudem werden sie auf unterschiedlicher Weise unterteilt (z. B. in konstruierte Sprachen und natürliche Sprachen). Beispiele unter Menschen sind die Lautsprache und die Körpersprache (Unterschied aufgrund akustischer bzw. optischer Informationsübertragung). Die wissenschaftliche Disziplin, die sich mit der menschlichen Sprache in umfassender Weise beschäftigt, ist die Linguistik (Sprachwissenschaft). Auch im Tierreich existieren Zeichensysteme und kommunikative Handlungen, die als Sprache bezeichnet werden.

    Sprache und Sprachverwendung sind auch Inhalt anderer Wissenschaften wie Psychologie, Neurologie, Kognitionswissenschaft, Kommunikationswissenschaft, Rhetorik, Philosophie (Sprachphilosophie), Medienwissenschaft, Semiotik, Literaturwissenschaft, Sprechwissenschaft, Religionswissenschaft, Theologie, Anthropologie und Ethnologie.
    </text>
    """
        ]
    en:
        [
            title: "Example"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Example">
    Language is the human ability to acquire and use complex systems of communication, and a language is any specific example of such a system. The scientific study of language is called linguistics.

    The philosophy of language, such as whether words can represent experience, has been debated since Gorgias and Plato in Ancient Greece, with later thinkers such as Rousseau arguing that language came from emotions, while others like Kant held it came from logical thought. 20th-century philosophers such as Wittgenstein argued that philosophy is really the study of language. Major figures in linguistics include Ferdinand de Saussure and Noam Chomsky.

    Estimates of the number of languages in the world vary between 5,000 and 7,000. However, any precise estimate depends on a partly arbitrary distinction between languages and dialects. Natural languages are spoken or signed, but any language can be encoded into secondary media using auditory, visual, or tactile stimuli – for example, in graphic writing, braille, or whistling. This is because human language is modality-independent. Depending on philosophical perspectives regarding the definition of language and meaning, when used as a general concept, "language" may refer to the cognitive ability to learn and use systems of complex communication, or to describe the set of rules that makes up these systems, or the set of utterances that can be produced from those rules. All languages rely on the process of semiosis to relate signs to particular meanings. Oral and sign languages contain a phonological system that governs how symbols are used to form sequences known as words or morphemes, and a syntactic system that governs how words and morphemes are combined to form phrases and utterances.
    </text>
    """
        ]
    es:
        [
            title: "Ejemplo"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Ejemplo">
    Un lenguaje (del provenzal lenguatge1 y este del latín lingua) es un sistema de comunicación estructurado para el que existe un contexto de uso y ciertos principios combinatorios formales. Existen contextos tanto naturales como artificiales.

    Desde un punto de vista más amplio, el lenguaje indica una característica común al hombre y a los animales para expresar sus experiencias y comunicarlas a otros mediante el uso de símbolos, señales y sonidos registrados por los órganos de los sentidos. El ser humano emplea un lenguaje complejo que se expresa con secuencias sonoras y signos gráficos. Los animales, por su parte, se comunican a través de signos sonoros y corporales y en muchos casos distan de ser sencillos.

    El lenguaje humano se basa en la capacidad de los seres humanos para comunicarse por medio de signos (usualmente secuencias sonoras, pero también gestos y señas, así como signos gráficos). Principalmente lo hacemos utilizando el signo lingüístico. Aun así, hay diversos tipos de lenguaje. El lenguaje humano puede estudiarse en cuanto a su desarrollo desde dos puntos de vista complementarios: la ontogenia y la filogenia. La ontogenia analiza el proceso por el cual el ser humano adquiere el lenguaje. La filogenia se encarga de estudiar la evolución histórica de una lengua.
    El lenguaje animal se basa en el uso de señales sonoras, visuales y olfativas, a modo de signos, para señalar a un referente o un significado diferente de dichas señales. Dentro del lenguaje animal están los gritos de alarma, el lenguaje de las abejas, etc.
    Los lenguajes formales son construcciones artificiales humanas, que se usan en matemática y otras disciplinas formales, incluyendo lenguajes de programación. Estas construcciones tienen estructuras internas que comparten con el lenguaje humano natural, por lo que pueden ser en parte analizados con los mismos conceptos que éste.
    </text>
    """
        ]
    et:
        [
            title: "Näide"
            corpus: "example"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Näide">
    Keel on inimeste poolt kasutatav märgisüsteem, kommunikatsiooni või arutluse vahend, mis kasutab sümboleid ja teisi märke ja nende kombineerimise reegleid. Keeled kasutavad sümboleid — žeste, hääli, sõnu — mõtete ja tähenduste edasi andmiseks.

    Lisaks loomulikele ja tehislikele inimkeeltele räägitakse ka loomade märgisüsteemidest ning matemaatikas, loogikas ja informaatikas tuntud formaalsetest keeltest. Viimaste hulka kuuluvad näiteks programmeerimiskeeled.
    </text>
    """
        ]
    fr:
        [
            title: "Exemple"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Exemple">
    Le langage est la capacité d'exprimer une pensée et de communiquer au moyen d'un système de signes (vocaux, gestuel, graphiques, tactiles, olfactifs, etc.) doté d'une sémantique, et le plus souvent d'une syntaxe (mais ce n'est pas systématique1). Plus couramment, le langage est un moyen de communication.

    Chez l'homme, c'est la capacité observée d'exprimer une pensée et de communiquer entre autres au moyen d'un système de signes par un support extérieur ou non. Cette capacité comprend des fonctions linguistiques telles que la phonétique (où l'on peut observer les actions physiques dans la bouche), la phonologie (les dessins qui sont présents à travers plusieurs langues et ceux qui ne sont que dans une langue spécifique), la syntaxe (la représentation des phrases et des mots dans l'esprit tout juste avant de parler), la pragmatique (les définitions qu'on trouve en parlant qui sont moins évidentes et imagées mais aussi typiques pour ceux qui parlent la langue en question). Bien sûr un système aussi compliqué a quelques nuances que la média et d'autres publications utilisent afin de persuader ou de distraire l'audience à laquelle les paroles et pensées sont dirigées. Très souvent, on voit que ces systèmes ne sont pas limités au langage vocal. L'écriture est souvent aussi véritablement efficace.
    </text>
    """
        ]
    it:
        [
            title: "Esempio"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Esempio">
    Il linguaggio umano è la capacità dell'Uomo di comunicare per mezzo di un codice complesso, cioè una lingua. Spesso con il solo termine linguaggio ci si riferisce in generale a un sistema di comunicazione: si veda "linguaggio animale", "linguaggio del corpo", "linguaggio dei computer", "linguaggio dei fiori".

    La capacità di linguaggio orale si è sviluppata nell'uomo a seguito di mutamenti strutturali della cavità orale. In particolare l'arretramento dell'ugola ha reso l'essere umano capace di esprimere una gamma sonora variegata, capace di garantire una non generica nomazione del mondo.
    </text>
    """
        ]
    la:
        [
            title: "Exemplum"
            corpus: "example"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Exemplum">
    Lingua est humana multiplicum communicationis systematum discendorum et adhibendorum facultas, qua sententiae inter homines mittantur et intelligantur. Scientia linguae linguistica vel glottologia vocatur.

    Complures bestiae complexis communicationis systematis uti possunt, sed multi rerum naturarum investigatores putant haec systemata linguas non proprie appellari.

    Symbola lingua adiuncta per se sunt arbitraria; quamobrem hodie in orbe terrarum sunt multae linguae distinctae.

    Pactio de iuribus hominum invalidorum linguas etiam scripturas Braille et linguas gesticulatorias includere definit.
    </text>
    """
        ]
    nl:
        [
            title: "Voorbeeld"
            corpus: "example"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Voorbeeld">
    Het begrip taal heeft in het algemeen betrekking op elke min of meer complexe vorm van communicatie in de vorm van tekens, die gezamenlijk een systeem vormen. De term kan daarbij betrekking hebben op het systeem als geheel waarvan de tekens de individuele bouwstenen vormen, of op slechts een of enkele van de tekens afzonderlijk.

    Heel vaak wordt met taal ook meer specifiek het met behulp van het spraakkanaal voortgebrachte communicatiemiddel van de mens bedoeld, dat de vorm heeft van klanken (gesproken taal), naast de geschreven afspiegeling hiervan (geschreven taal). Een van de hoofdkenmerken van dit communicatiesysteem is dat het alleen door de mens kan worden voortgebracht en gebruikt en meestal ook alleen door de mens wordt begrepen.
    </text>
    """
        ]
    pl:
        [
            title: "Przykład"
            corpus: "example"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Przykład">
    Język – ukształtowany społecznie system budowania wypowiedzi, używany w procesie komunikacji interpersonalnej.

    Dla języka można wyróżnić następujące cechy:

    Istnienie nadawcy i odbiorcy – nadawca nadaje komunikat odbiorcy, który dysponuje tym samym kodem. Język jako narzędzie komunikacji zakłada zrozumienie się obydwu stron.
    Język konwencjonalnym systemem znaków.
    Foniczność – dźwięki oraz alfabet (wtórna realizacja dźwięku).
    Dwustopniowość i dwuklasowość – wyróżniamy dwa stopnie: znaki i diakryty oraz dwie klasy: słownik i gramatykę.
    Abstrakcyjność (zdalność) – odnoszenie do pojęć ogólnych, możliwość mówienia o zjawiskach nieobecnych.
    Polisemiczność – możliwość przesunięć w umowie, cecha wskazująca na kreatywność języka, gdyż język może zostać odnoszony do zjawisk nieposiadających własnej nazwy. Twórcze użycie wyrażeń językowych.
    Samozwrotność – mówienie za pomocą języka o samym języku.
    Nadużywalność – przekaz różnych informacji (dobrych i złych).
    </text>
    """
        ]
    pt:
        [
            title: "Exemplo"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Exemplo">
    Linguagem pode se referir tanto à capacidade especificamente humana para aquisição e utilização de sistemas complexos de comunicação, quanto à uma instância específica de um sistema de comunicação complexo. O estudo científico da linguagem, em qualquer um de seus sentidos, é chamado linguística.

    Atualmente, entre 3000 e 6000 línguas são usadas pela espécie humana, e um número muito maior era usado no passado. As línguas naturais são os exemplos mais marcantes que temos de linguagem. No entanto, ela também pode se basear na observação visual e auditiva, ao invés de estímulos. Como exemplos de outros tipos de linguagem, temos as línguas de sinais e a linguagem escrita. Os códigos e os outros tipos de sistemas de comunicação construídos artificialmente, tais como aqueles usados ​​para programação de computadores, também podem ser chamadas de linguagens. A linguagem, nesse sentido, é um sistema de sinais para codificação e decodificação de informações. A palavra portuguesa deriva do francês antigo langage. Quando usado como um conceito geral, a palavra "linguagem" refere-se a uma faculdade cognitiva que permite aos seres humanos aprender e usar sistemas de comunicação complexos.
    </text>
    """
        ]
    ru:
        [
            title: "Пример"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Пример">
    Существует ряд гипотез о происхождении языка, но ни одна из них не может быть подтверждена фактами из-за огромной отдалённости происхождения языка от нашего времени. Они остаются гипотезами, так как их нельзя ни наблюдать, ни воспроизвести в эксперименте. Предполагается, что появление языка связано с изменением гена FOXP2.

    Теории о происхождении языка делятся на группы по своим базисным предположениям. Часть теорий основывается на том, что язык будучи очень сложным явлением не мог возникнуть из ничего, а должен был развиться из более древних пре-языковых систем общения предков человека. Другие теории предполагают, что язык людей является уникальным явлением, которое не идёт ни в какое сравнение с системами общения животных и поэтому оно возникло внезапно при переходе от предков человека к первым людям. Рассматривая другой критерий, можно видеть что часть теорий оперируют идеей языка как генетически заложенной функцией человека, в то время как другие теории считают язык явлением в большей степени культурным, передаваемым через социальные интеракции.
    </text>
    """
        ]
    sk:
        [
            title: "Example"
            corpus: "example"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Example">
    Jazyk je historicky konštruovaný systém zvukových, lexikálnych a gramatických prostriedkov, objektivizujúci prácu myslenia, komunikácie a vzájomného chápania sa jej účastníkov. Jeho skúmaním sa zaoberá špecifická oblasť kognitívnej aktivity človeka - jazykoveda. Jeho praktickou realizáciou je reč.

    Základnými funkciami jazyka sú: dorozumievacia – komunikatívna, poznávacia – kognitívna, estetická a reprezentatívna.
    </text>
    """
        ]
    fi:
        [
            title: "Esimerkki"
            corpus: "example"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Esimerkki">
    Kieli on järjestelmä, jossa ihminen ilmaisee ajatuksensa kielellisillä merkeillä, abstraktioilla. Näitä merkkejä nimitetään kielellisiksi ilmauksiksi. Puhutuissa kielissä kuuluvia (auditiivisia) merkkejä tuotetaan puhe-elimillä. Kirjoitetussa kielessä kielelliset ilmaukset on tehty silmin nähtäviksi eli luettaviksi. Viitotuissa kielissä kielelliset ilmaukset ovat visuaalisia, eivät auditiivisia. Eri kieliä tutkii kielitiede. Kognitiotiede tutkii kieltä hieman erilaisesta näkökulmasta: biolingvistiikka tutkii niitä ihmisaivojen rakenteita jotka tuottavat kaikki kielet ja niiden samankaltaisen perusrakenteen.

    Kieli on viestinnän ja abstraktin ajattelun väline. Sitä on pidetty eräänä olennaisena erona ihmisen ja muiden eläinten välillä. Useimmat eläimet tosin viestivät jollakin tavalla, mutta ihmiskieli on kehittynyt selvästi pisimmälle. Eräät kädellisten yksilöt, kuten simpanssit ja gorillat, ovat ihmisten koulutuksessa oppineet ilmaisemaan monimutkaisiakin käsitteitä viittomilla.lähde?

    Kieli mahdollistaa abstraktina ajatteluna tulevaisuuden ja menneisyyden käsittelyn. Kieli siis laajentaa ja tehostaa niiden vasteiden määrää, joilla yksilö voi sopeutua ympäristöönsä, erityisesti yhteisönä, yhteistyötä tekevänä yksilöiden kokonaisuutena. Kielen syntyminen on ilmeisesti ollut laukaiseva tekijä tieteen, taiteen ja tekniikan syntyyn.

    Eläinten ja hyönteisten viestintä tapahtuu myös kemiallisen "kielen" välityksellä, esimerkkinä reviirin rajojen merkitseminen hajuilla. Kemiallisella kielellä on merkitystä myös ihmisten viestinnässä. Ihmisellä on esimerkiksi kyky tunnistaa jollain merkitystä omaavalla tasolla vastakkainen sukupuoli, jolla on mahdollisimman erilainen immuunijärjestelmä. Evoluution kannalta tämä takaa jälkeläisille mahdollisimman monipuolisen immuunijärjestelmän, siis eloonjäännin.
    </text>
    """
        ]
    bg:
        [
            title: "Пример"
            corpus: "example"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Пример">
    Езѝкът е система от знаци за кодиране и декодиране на информация. Самото наименование е свързано с името на анатомичния орган език, физиологично условие за употребата на речта.

    Говорната способност на хората възниква в далечно предисторическо време. Тогава се оформят и езиковите семейства, които съществуват при появата на писмеността. В наши дни са конструирани множество изкуствени езици, което довежда и до появата на понятието естествен език. Езикът е средство за общуване, което се смята за специфично за хората. Макар че някои други животни използват сложни системи за общуване, понякога наричани животински език, те не притежават всички свойства, с които се дефинира езикът в езикознанието.

    Терминът „език“ има няколко отделни значения. Най-видимата проява на езика са говоримите езици, като българския или английския. В същото време съществуват и писмени езици, както и други системи от визуални символи, като жестовите езици.

    В когнитивната наука терминът понякога се използва в по-широк смисъл, обхващайки човешката познавателна способност, при която също е от съществена важност системното създаване и използване на системи от символи, всеки от които свързва даден знак с определено значение, установено чрез обществени конвенции.[2] През 20 век Чарлс Пърс нарича този процес семиоза, а неговото изследване – семиотика.
    </text>
    """
        ]
    ro:
        [
            title: "Exemplu"
            corpus: "example"
            textmode: "xml"
            word_segmenter: "default_tokenizer"
            sentence_segmentation:
                sentence_segmenter: "default_tokenizer"
                sentence_chunk: "paragraph"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Exemplu">
    O limbă reprezintă un sistem abstract, complex, de comunicare verbală între oameni. Limba mai poate fi și un sistem imaginar de comunicare verbală între ființe extraterestre inteligente, tot imaginare. În afară de forma orală (limba vorbită, exprimată cu ajutorul vocii), bazată pe articularea de sunete, limbile actuale au în general și o formă grafică, limba scrisă.

    La baza oricărei limbi se află cuvântul ca unitate elementară de transmitere a unui înțeles. Conceptele comunicate prin cuvinte pot fi: obiecte reale, ființe, locuri, calități, acțiuni (atât reale cât și imaginare), moduri de acțiune, idei, stări, poziționări în spațiu și timp, etc.

    În limbile vorbite, cuvintele se compun din șiruri de foneme (sunete elementare) articulate succesiv. Limbile scrise folosesc simboluri grafice (litere, ideograme, caractere silabice, etc.) care reprezintă fie sunete din limba vorbită respectivă, fie înțelesuri. În urma evoluției limbilor este posibil ca scrierea să nu mai reflecte fidel pronunția actuală, respectiv sensul actual al cuvântului vorbit.

    Limbile pot fi analizate din următoarele puncte de vedere: vocabular, pronunție, (set de foneme, intonație, ritm, accent), modul de combinare și flexionare a cuvintelor (gramatică), și modul de scriere (ortografie).
    </text>
    """
        ]
    as:
        [
            title: "Example"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Example">
    Denómase llinguaxe (del provenzal: lenguatgea) a cualesquier tipu de códigu semióticu estructuráu, pal qu'esiste un contestu d'usu y ciertos principios combinatorios formales. Esisten contestos tantu naturales como artificiales.

    El llinguaxe animal básase nel usu de señales sonores, visuales y olfatives a mou de signos pa referise a un referente o un significáu distintu de tales señales. Dientro del llinguaxe animal tán los berros d'alarma, el llinguaxe de les abeyes, etc.
    Los llinguaxes formales son construcciones artificiales humanes, que s'usen en matemática y otres disciplines formales, incluyendo llinguaxes de programación. Estes construcciones tienen cadarmes internes que comparten col llinguaxe humanu natural, polo que pueden ser en parte analizaes colos mesmos conceutos qu'ésti.
    El llinguaxe humanu básase na capacidá de los seres humanos pa comunicase per mediu de signos. Principalmente facémoslo usando'l signu llingüísticu. Entá así, hai dellos tipos de llinguaxe. El llinguaxe humanu pue estudiase tocantes al so desenvolvimientu dende dos puntos de vista complementarios: la ontoxenia, qu'unvia al procesu d'alquisición del llinguaxe pol ser humanu, y la filoxenia.
    </text>
    """
        ]
    ca:
        [
            title: "Exemple"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Exemple">
    El llenguatge és la facultat de poder comunicar els propis pensaments o sentiments a un receptor o interlocutor mitjançant un sistema o codi determinat de signes interpretable per a ell. Per això, el llenguatge té un aspecte individual i un aspecte social. Atenent al sistema de signes a disposició de la capacitat comunicativa de l'ésser humà —signes que poden ser de naturalesa diversa, segons els sentits que els poden copsar—, hi pot haver moltes menes de llenguatges: auditiu (o, correlativament, parlat), visual, olfactiu, tàctil, etc. Es dóna llenguatge sempre que dos individus, havent atribuït convencionalment un cert sentit a un acte determinat, l'executen amb finalitat de comunicar-se entre ells.[1]

    Per tant, el llenguatge és la capacitat de comunicar-se utilitzant un sistema de signes. Aquesta capacitat es pot expressar mitjançant qualsevol art: música, dansa, dibuix, escultura, etc. Una llengua o idioma n'és una representació particular no artística. En matemàtiques i informàtica, s'utilitzen també llenguatges formals pràctics, com la lògica o algun llenguatge de programació.

    Tres disciplines estudien bàsicament el llenguatge: la filologia (que també s'ocupa de les llengües concretes), la filosofia i la semiòtica.
    </text>
    """
        ]
    gl:
        [
            title: "Exemplo"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Exemplo">
    A linguaxe é a capacidade do ser humano para se comunicar mediante un sistema de signos ou lingua. Non se debe confundir con lingua ou idioma, que é a representación concreta desta capacidade, manifestada na existencia das linguas naturais. Ás veces o termo esténdese ás linguaxes que os humanos usan para comunicarse, ademais da linguaxe falada, como a lingua de sinais. Utilízase tamén linguaxe na matemática e na informática para designar as linguaxes formais ou artificiais, incluíndo as linguaxes de programación).

    Da linguaxe humana ocúpase a ciencia denominada lingüística. A linguaxe é tamén o obxecto de estudo de numerosas disciplinas, como a psicolingüística, a sociolingüística ou a filoloxía.
    </text>
    """
        ]
    no:
        [
            title: "Eksempel"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Eksempel">
    Et språk er et dynamisk sett av synlige, hørbare eller følbare symboler for kommunikasjon og elementer som brukes for å manipulere dem. Språk kan også henvise til bruken av slike systemer som et generelt fenomen. Eksempler på språk er naturlig språk (menneskelige enkeltspråk, for eksempel norsk), kunstige språk (for eksempel esperanto) og programmeringsspråk (for eksempel Java).

    Menneskespråk omtales vanligvis som naturlige språk, og vitenskapen om menneskespråk kalles lingvistikk. Den vanligste progresjonen for menneskespråk er at de først snakkes, deretter skrives, og at grammatikken så blir studert.

    Naturlige språk lever, dør ut, endrer seg og flytter seg fra sted til sted. Et språk som ikke lenger endrer seg regnes som et utdødd språk. Språk som er levende, som altså er i stadig endring, kalles moderne språk.

    Språk som opprinnelig stammer fra det samme språket, tilhører samme språkfamilie. De største språkfamiliene er indoeuropeiske språk, sinotibetanske språk og niger-kongo-språk.

    Å sette et prinsipielt skille mellom to språk er ofte umulig. For eksempel er noen dialekter av tysk veldig like noen dialekter av nederlandsk. Overgangen fra ett språk til et annet i samme språkfamilie er ofte gradvis. Det finnes flere tusen språk i verden i dag, men det nøyaktige antallet er omstridt.
    </text>
    """
        ]
    sl:
        [
            title: "Primer"
            corpus: "example"
            textmode: "xml"
            paragraph_segmentation:
                paragraph_segmenter: "blanklines"
                paragraph_chunk: "text"
            root:
                tag: "text"
                attributes: ["title"]
            extra_tags: []
            positional_attributes: all_positional_attributes
            text_attributes: all_text_attributes
            corpus_xml: """
    <text title="Primer">
    Jêzik je temeljno sredstvo sporazumevanja; to je večinoma besedni jezik, ki ga dopolnjujejo nebesedni jeziki. Z jezikom se opisujejo stvari, dejanja ali abstraktni pojmi. Lahko pa je tudi znakovni jezik.

    Obstajajo tudi samostojni nebesedni jeziki, na primer glasbeni jezik, likovni jezik, v matematiki in računalništvu umetni oziroma formalni jeziki, med katere sodijo tudi programski jeziki.

    Tudi živali poznajo neko vrsto »jezika«, bolj znana sta jezik čebel in kitov. Ti jeziki se od človeškega razlikujejo po tem, da se v njih živali ne morejo sporazumevati o samem jeziku, kar se imenuje metajezikovna zmožnost.
    </text>
    """
        ]
    # cy:
    #     [
    #         title: "Enghraifft"
    #         corpus: "example"
    #         textmode: "xml"
    #         paragraph_segmentation:
    #             paragraph_segmenter: "blanklines"
    #             paragraph_chunk: "text"
    #         root:
    #             tag: "text"
    #             attributes: ["title"]
    #         extra_tags: []
    #         positional_attributes: all_positional_attributes
    #         text_attributes: all_text_attributes
    #         corpus_xml: """
    # <text title="Enghraifft">
    # Cyfundrefn gyfathrebu yw iaith. Gelwir astudiaeth ieithoedd yn ieithyddiaeth. Mae'n cynnwys astudiaeth cystrawen, seineg a morffoleg iaith.
    #
    # Does dim cytundeb pryd y dechreuwyd defnyddio iaith gan yr hil ddynol. Mae amcangyfrifon yn amrywio o ryw ddwy filiwn o flynyddoedd yn ôl hyd at mor ddiweddar â phedwar deng mil o flynyddoedd yn ôl.
    #
    # Mae ieithoedd y byd wedi eu rhannu'n deuluoedd ieithyddol lle mae'r ieithoedd ym mhob teulu yn tarddu o'r un ffynhonnell hanesyddol. Ond mae rhai ieithoedd sydd ddim yn dangos perthynas ag unrhyw iaith arall e.e. Basgeg. Mae'r prif deuluoedd ieithyddol yn cynnwys yr ieithoedd Indo-Ewropeaidd, yr ieithoedd Affro-Asiaidd, a'r ieithoedd Sino-Tibetaidd.
    # </text>
    # """
    #     ]
