version = "2.0" # Version number is inserted automatically from VERSION file

window.info =
    sv:
        $("""
        <div id="info_text">
            <h3>Sparv version """ + version + """</h3>

            <hr />

            <p>Med Sparv (<a href="https://spraakbanken.gu.se/swe" target="_blank">Språkbankens</a>
            annoteringsverktyg) kan du annotera dina egna texter genom att
            använda samma verktyg som används för annoteringen av korpusarna i
            <a href="https://spraakbanken.gu.se/korp" target="_blank">Korp</a>
            och texterna i <a href="https://spraakbanken.gu.se/strix" target="_blank">Strix</a>.
            Det finns två alternativ för att göra det:</p>

            <ol>
            <li><p>Du kan mata in text (eller XML) i textfältet. Annotationerna kommer sedan
            visas i en tabell nedanför textfältet. Vissa begrepp (t.ex. förkortningar av
            ordklasser) förklaras när man för muspekaren över dem. Resultatet
            kan dessutom laddas ner som XML genom att klicka på <code>Visa avancerade inställningar</code>
            och sedan längst ner på XML-knappen.</p></li>
            <li><p>Du kan ladda upp en eller flera filer. Både XML och vanlig text accepteras.
            När körningen är klar kommer det finnas en nedladdningslänk till den annoterade
            korpusen i XML-format längst ner på sidan. Annoteringen av dina filer kan ta ganska
            mycket tid (beroende på filernas storlek). Om du anger din e-postadress kommer du
            få en nedladdningslänk till den färdiga korpusen via e-post när körningen är klar.</p></li>
            </ol>

            <p>Tänk på att texten alltid ska vara i UTF-8 och att XML:en måste vara valid.</p>

            <p>Sparv har ett formulär med många inställningsmöjligheter (under
            <code>Visa avancerade inställningar</code>). De kan behöva konfigureras om ens korpus
            är i XML eller om man vill välja bort några av annoteringarna.
            Men för att testa med en text som inte har någon uppmärkning behöver inställningarna
            inte ändras, utan det går bra att klicka på knappen "Kör!" längst ner till höger på sidan.</p>

            <p>Dokumentationen till Sparv finns <a href="https://spraakbanken.gu.se/swe/forskning/infrastruktur/sparv" target="_blank">här</a>.</p>

            <p>Hör av dig till <a href="mailto:sb-sparv@svenska.gu.se">sb-sparv@svenska.gu.se</a> om du har frågor, problem
            eller förbättringsförslag. Om du skriver till oss eftersom att någonting har gått fel när du använde Sparv,
            vänligen klistra in URL:en till din körning i meddelandet.</p>
        </div>
        """)
    en:
        $("""
        <div id="info_text">
            <h3>Sparv version """ + version + """</h3>

            <hr />

            <p>Sparv (<a href="https://spraakbanken.gu.se/eng" target="_blank">Språkbanken</a>'s
            annotation tool) gives you the possibility to annotate your
            own texts using the same tools as are applied in the annotation of
            <a href="https://spraakbanken.gu.se/korp/#?lang=en" target="_blank">Korp</a>'s corpora
            and <a href="https://spraakbanken.gu.se/strix/?lang=eng" target="_blank">Strix</a>' texts.
            There are two alternative ways for doing this:</p>

            <ol>
            <li><p>You can input text (or XML) in the text field. The annotations will then be
            shown in a table below the text input field. Some terms (e.g. the abbreviations
            for the part-of-speech tags) are explained when hovering over them with the mouse cursor.
            The result can also be downloaded as XML by clicking on the XML button under
            <code>Show advanced settings</code>.</p></li>
            <li><p>You can upload one or multiple files. Both XML and plain text are accepted.
            When the files have been processed a download link to your annotated corpus in XML
            format will be shown on the bottom of the page. The annotation of your files may take some time
            (depinding on the size of the files). If you provide your e-mail address you will receive
            the download link to your corpus via e-mail as soon as it is ready.</p></li>
            </ol>

            <p>Please remember that your text should always be in UTF-8 and that the XML must be valid.</p>

            <p>Under <code>Show advanced settings</code> you will find a form with optional settings for the annotation.
            You may have to configure these if your corpus is in XML format or if you would like to deselect
            some of the annotations. If you would just like to run a text that does not have any special
            markup you do not have to change any settings. Just hit "Run!" at the bottom of the page!</p>

            <p>Click <a href="https://spraakbanken.gu.se/eng/research/infrastructure/sparv" target="_blank">here</a> to read the documentation.</p>

            <p>Please contact <a href="mailto:sb-sparv@svenska.gu.se">sb-sparv@svenska.gu.se</a> if you have any questions, problems or suggestions.
            If you would like to contact us because something went wrong while you were using Sparv, please include the URL to your test run in the e-mail.</p>
        </div>
        """)

if isLab
    sparvlink_sv = """<a href="https://spraakbanken.gu.se/sparv">Sparv</a>"""
    sparvlink_en = """<a href="https://spraakbanken.gu.se/sparv#lang=en">Sparv</a>"""
else
    sparvlink_sv = """<a href="https://spraakbanken.gu.se/sparvlabb">Sparvlabb</a>"""
    sparvlink_en = """<a href="https://spraakbanken.gu.se/sparvlabb#lang=en">Sparv Labs</a>"""

window.links =
    sv:
        $("""
        <ul class="links">
            <li><a href="https://spraakbanken.gu.se">Språkbanken</a></li>
            <li><a href="https://spraakbanken.gu.se/swe/forskning/infrastruktur/sparv">Dokumentation</a></li>
            <li><a href="https://svn.spraakdata.gu.se/sb-arkiv/pub/dokumentation/sparv/exercises/sparvovningar_hw2017.pdf">Sparvövningar</a><li>
            <li>""" + sparvlink_sv +  """</li>
            <li><a href="https://spraakbanken.gu.se/korp">Korp</a></li>
        </ul>""")

    en:
        $("""
        <ul class="links">
            <li><a href="https://spraakbanken.gu.se/eng">Språkbanken</a></li>
            <li><a href="https://spraakbanken.gu.se/eng/research/infrastructure/sparv">Documentation</a></li>
            <li><a href="https://svn.spraakdata.gu.se/sb-arkiv/pub/dokumentation/sparv/exercises/sparvovningar_hw2017.pdf">Sparv exercises</a><li>
            <li>""" + sparvlink_en +  """</li>
            <li><a href="https://spraakbanken.gu.se/korp#lang=en">Korp</a></li>
        </ul>""")
