window.with_form =
    get: () -> {}
    set: () -> console.log "Error: Form not loaded!"
    load_defaults: () -> {}

set_form = (schema, value) ->
    # empty quick settings
    $("#quick_settings").empty()
    form = json_schema_form.generate schema, "settings"
    # Set textmode
    set_textmode_auto value

    # generate form with default settings
    $("#form").empty().append form.dom
    form.set value
    window.with_form.set = form.set

    window.with_form.load_defaults = () ->
        form.set value

    window.with_form.get = form.get


window.get_analysis_language = () ->
    analysis_language = $.bbq.getState "language"
    if not analysis_language
        analysis_language = if isLab then "sv-dev" else "sv"
    return analysis_language


window.check_defaults = () ->
    settings = with_form.get()
    settings_no_order = remove_order_attr default_settings
    if _.isEqual settings, settings_no_order
        $("#reset_form").prop("disabled", true)
    else
        $("#reset_form").prop("disabled", false)

# Recursively remove order attribute from settings
remove_order_attr = (obj) ->
    for prop of obj
        if prop == 'order'
            delete obj[prop]
        else if typeof obj[prop] == 'object'
            remove_order_attr obj[prop]
    return obj


window.load_form = (xml_editor, reload_with_hash = true, defaults = false) ->
    analysis_language = get_analysis_language()
    $.bbq.pushState language: analysis_language

    $.ajax
        url: config.schema_adress
        data: { language: analysis_language, mode: $.bbq.getState "input" }
        dataType: "json"
        timeout: 300000
        type: "GET"
        success: (data, textStatus, xhr) ->
            schema = json_schema_utils.flatten_singleton_unions json_schema_utils.follow_references data
            window.default_settings = json_schema_utils.get_default schema
            if defaults
                set_form schema, defaults
            else
                set_form schema, default_settings
            if reload_with_hash
                # Check if we have a hash in the status bar, if so, load it
                address.try_join_with_hash(xml_editor)
            check_defaults()
        error: (info...) ->
            console.log info
