
# The language key is stored in this private variable
language_key = 'sv'
fallback_key = 'en'

###
# Localize element
###
$.fn.localize_element = (entries, title = false, onclick = false) ->
    for key of entries
        if entries[key]?
            if onclick is true
                $(this).attr "onclick-data-loc-#{key}", entries[key]
                $(this).popover()
            else if title is true
                $(this).attr "title-data-loc-#{key}", entries[key]
            else
                $(this).attr "data-loc-#{key}", entries[key]
    $(this).localize()
    $(this)

# Localizes elements with the current language_key, or with the provided one specified
jQuery.fn.localize = () ->
    # console.log "Localizing ", $(this), " with language key #{language_key}"
    data_loc = "data-loc-#{language_key}"
    data_loc_fallback = "data-loc-#{fallback_key}"
    title_data_loc = "title-data-loc-#{language_key}"
    title_data_loc_fallback = "title-data-loc-#{fallback_key}"
    onclick_data_loc = "onclick-data-loc-#{language_key}"
    onclick_data_loc_fallback = "onclick-data-loc-#{fallback_key}"
    localize_element = (el) ->
        el = $(el)

        if el.attr data_loc
            el.text el.attr data_loc
        else if el.attr data_loc_fallback
            el.text el.attr data_loc_fallback

        if el.attr title_data_loc
            el.attr "title", el.attr title_data_loc
        else if el.attr title_data_loc_fallback
            el.attr "title", el.attr title_data_loc_fallback

        if el.attr onclick_data_loc
            el.attr "data-content", el.attr onclick_data_loc
            el.attr "data-toggle", "popover"
        else if el.attr onclick_data_loc_fallback
            el.attr "data-content", el.attr onclick_data_loc_fallback
            el.attr "data-toggle", "popover"

    fix_title = (el) ->
        if ($(el).attr title_data_loc) == undefined
            $(el).removeAttr( "title" )

    $(this).find("[#{data_loc}]").each (_key, el) -> localize_element el
    $(this).find("[#{title_data_loc}]").each (_key, el) -> localize_element el
    $(this).find("[#{onclick_data_loc}]").each (_key, el) -> localize_element el
    $(this).find("[title]").each (_key, el) -> fix_title el
    localize_element $(this)
    $(this)

# Set the language key (typically to 'en' or 'se'), and change all values
jQuery.fn.set_language = (new_language_key, new_fallback_key) ->
    language_key = new_language_key
    fallback_key ?= new_fallback_key
    $("body").localize()

# Localizes form the pos, deprel, msd information
window.localization_info = do ->
    lookup =
        pos: pos_localization
        msd: msd_localization
        deprel: deprel_localization
        ne: ne_localization
        misc: misc_localization
        analysis_lang: lang_localization
        annotation: annotation_localization
        sentiment: sentiment_localization
    (attr, value) ->
        loc = {}
        for lang, translations of lookup[attr] or {}
            if attr == "analysis_lang"
                loc[lang] = "#{translations[value]}"
            else if attr == "sentiment"
                loc[lang] = "#{translations(value)}"
            else
                loc[lang] = "#{value}: #{translations[value]}"
        return loc
