$.fn.set_show = (b) -> if b then $(this).show() else $(this).hide()

# Add lab icon if lab edition
$("body").addClass "lab" if isLab


window.makeDownloadBtn = (link) ->
    icon = $("""
        <div class="file">
            <a href="#{link}" download="korpus.zip">
                <div class="file_icon fa fa-4x fa-file-archive-o"></div>
                <div class="filename">korpus.zip</div>
            </a>

        </div>
    """).hide().appendTo("#result_files")
    $("#result_files").slideDown(400, () ->
        icon.fadeIn()
    )

window.makeUploadIcon = (file, hideClose) ->
    icon = if file.name.match("^.*\.xml$") then "fa-file-code-o" else "fa-file-text-o"
    file = $("""<div class="file">
            <div class="file_icon fa fa-4x #{icon}"></div>
            <div class="filename">#{file.name}</div>

            <div class="close_row">
                <span class="close_icon fa fa-times-circle-o"></span>
                <span class="close_txt"
                    data-loc-en="remove" data-loc-sv="ta bort"></span>

            </div>
        </div>""").appendTo('#files').hide().fadeIn("fast").localize()

    close = file.find(".close_row").click () ->
        index = $(this).parent().index()
        window.files.splice(index, 1)

        file.fadeOut("fast", () ->
            $(this).remove()
            onFilesChange()
        )

    if hideClose
        close.hide()

onFilesChange = () ->
    unless window.files.length
        $(".btn_upload").prop("disabled", true)
    else
        $(".btn_upload").prop("disabled", false)

main = ->
    $("#input_selector").tab()
    window.files = []
    onFilesChange()

    $(".reset").click () ->
        window.files = []
        $(".fileinput-button").removeAttr('disabled')
        $("#fileupload").prop("disabled", false)
        $(".file").remove()
        $("#result_files").slideUp("fast")
        $.bbq.removeState("hash")
        onFilesChange()

    $.ajaxTransport '+binary', (options, originalOptions, jqXHR) ->
        # check for conditions and support for blob / arraybuffer response type
        if window.FormData and (options.dataType and options.dataType == 'binary' or options.data and (window.ArrayBuffer and options.data instanceof ArrayBuffer or window.Blob and options.data instanceof Blob))
            return {
                send: (headers, callback) ->
                    # setup all variables
                    xhr = new XMLHttpRequest
                    url = options.url
                    type = options.type
                    async = options.async or true
                    dataType = options.responseType or 'blob'
                    data = options.data or null
                    username = options.username or null
                    password = options.password or null
                    xhr.addEventListener 'load', ->
                        data = {}
                        data[options.dataType] = xhr.response
                        # make callback and send data
                        callback xhr.status, xhr.statusText, data, xhr.getAllResponseHeaders()
                        return
                    xhr.open type, url, async, username, password
                    # setup custom headers
                    for i of headers
                        xhr.setRequestHeader i, headers[i]
                    xhr.responseType = dataType
                    xhr.send data
                    return
                abort: ->
                    jqXHR.abort()
                    return
            }

    # File upload requester
    $('#fileupload').fileupload(
        # url: 'http://localhost:8080'
        dataType: 'text'
        processData: false,
        add : (e, data) ->
            window.files = window.files.concat data.files
            $.each data.files, (index, file) ->
                makeUploadIcon(file)
            onFilesChange()
        progress : (e, data) ->
            # This progress event only fires once, for some reason.
            # Adding progress listener below instead.
            progress.initialize()
            data.xhr().addEventListener "progress", onFileProgress
        done: (e, data) ->
            progress.clear()
            hash = $(data.result).find("build").attr("hash")
            $.bbq.pushState({"hash" : hash})
            # c.log "done data", data, data.response()
            if $(data.result).find("error").length > 0
                show_errors $(data.result).get(0)
            else
                # Display download link
                link = $(data.result).find("corpus").attr("link")
                makeDownloadBtn(link)
        fail : (e) ->
            c.log "fail event", arguments
    #TOOD: this seems wrong.
    ).prop('disabled', !$.support.fileInput).parent().addClass if $.support.fileInput then undefined else false

    # Make the xml editor
    window.xml_editor = CodeMirror.fromTextArea(document.getElementById("corpus_xml"),
        lineNumbers: true,
        mode: "plain"
    )

    editor_wrapper = xml_editor.getWrapperElement()

    w = $(editor_wrapper).width()

    $(editor_wrapper).resizable
      autoHide: true
      cancel: ""
      handles: "se"
      maxWidth: w
      minWidth: w
      resize: ->
        h = $(this).height()
        w = $(this).width()
        margin_offset = 10
        xml_editor.setSize w, h - margin_offset

    # Make the form
    load_form(xml_editor, true)

    # Hide warnings button
    $("#show_warnings").hide()
    $("#hide_warnings").hide()

    # Set the initial text
    xml_editor.setValue ""

    # Hide popovers when clicking anywhere outside them
    $('body').on 'click', (e) ->
      #did not click a popover toggle, or icon in popover toggle, or popover
      if $(e.target).data('toggle') != 'popover' and $(e.target).parents('[data-toggle="popover"]').length == 0 and $(e.target).parents('.popover.in').length == 0
        $('[data-toggle="popover"]').popover 'hide'
      return

    # Add example buttons
    generate_examples = (l) ->
        $("#example_buttons").empty()

        if examples[l]?
            $("#load_example").show()
            example_buttons = for example in examples[l]
                do (example) ->
                    $("""
                        <button class="btn btn-small btn-info" style="margin:5px;"">
                            <i class="fa fa-book"></i> #{example.title}
                        </button>""").click ->
                            xml_editor.setValue example.corpus_xml
                            set_textmode_auto example
                            load_form(xml_editor, false, example)

            $("#example_buttons").append(example_buttons...)
        else
            $("#load_example").hide()

    # Set UI language
    if $.bbq.getState("lang")
        ui_lang = $.bbq.getState("lang")
    else
        ui_lang = "sv"
        $.bbq.pushState lang: ui_lang

    # Button for UI language
    lang_button_array = [["sv", "Svenska"],["en","English"]]
    language_buttons = for [lang_key, lang] in lang_button_array
        do (lang_key, lang) ->
            button = $("""
                <a id="langswitch-#{lang_key}" href="javascript:" style="margin:5px;"">
                    <i class="fa fa-flag"></i> #{lang}
                </a>""")
            if lang_key is ui_lang
                button.hide()
            button.click ->
                update_lang_buttons lang_key

    # Hide button for active language
    update_lang_buttons = (lang_key) ->
        $.bbq.pushState lang: lang_key
        $("#langswitch-#{lang_key}").hide()
        for [k, l] in lang_button_array
            if k isnt lang_key
                $("#langswitch-#{k}").show()

    # Make info button
    info_button = $("""<a href="javascript:" style="margin:5px;"">
                         <i class="fa fa-info-circle"></i> Info
                       </a>""")
    info_button.click (e) -> make_box e, info

    # Make news button
    news_button = $("""<a href="javascript:" style="margin:5px;"">
                         <i class="fa fa-bell"></i>
                         <span data-loc-en="News" data-loc-sv="Nytt"></span>
                       </a>""")
    news_button.click (e) -> make_box e, news

    # Define info_box and news_box behaviour
    make_box = (e, textvar) ->
        $("#overlay").show()
        # Clean contents
        if document.getElementById("info_text")
            document.getElementById("info_text").remove()
        # Get contents in correct language
        if $.bbq.getState("lang")
            $("#info_box").append(textvar[$.bbq.getState("lang")])
        else
            $("#info_box").append(textvar[ui_lang])
        $("#info_box").toggle()
        e.preventDefault()

    # Closing info_box
    close_box = ->
        $("#info_box").hide()
        $("#overlay").hide()
    # Close when clicking on background
    $(document).click (e) ->
        if !$("#info_box").is(e.target) and $("#info_box").has(e.target).length == 0 and !$(e.target).closest(info_button).length and !$(e.target).closest(news_button).length
            close_box()
    $("#info_box").children('a').eq(0).click () ->
        close_box()
    # Close when hitting escape
    $(document).keydown (e) ->
        if (e.keyCode == 27)
            close_box()
    # Don't close box when clicking on it
    $("#info_box").click (e) ->
        e.stopPropagation()

    # Make links button
    links_button = $("""<a href="javascript:" style="margin:5px;"">
                         <i class="fa fa-link"></i>
                         <span data-loc-en="Links" data-loc-sv="Länkar">
                         </span>
                       </a>""")
    links_button.click (e) -> make_links e

    # Define links_list behaviour
    make_links = (e) ->
        left = $($(links_button).position()).attr("left")
        $("#links_list").css({"left": left})
        $("#links_list").empty()
        if $.bbq.getState("lang")
            $("#links_list").append(links[$.bbq.getState("lang")])
        else
            $("#links_list").append(links[ui_lang])
        $("#links_list").toggle()
        e.preventDefault()
    $(document).click (e) ->
        if !$("#links_list").is(e.target) and $("#links_list").has(e.target).length == 0 and !$(e.target).closest(links_button).length
            $("#links_list").hide()

    # Behaviour for reset settings button
    $("#reset_form").prop("disabled", true)
    $("#reset_form").click -> reset_textmode()
    $("#quick_settings").change -> check_defaults()
    $("#form").click -> setTimeout(check_defaults, 50)
    $("#form").change -> setTimeout(check_defaults, 50)

    # Reload form when switching text mode
    window.default_textmode = "plain"
    $("#xml_switch").change ->
        if $("#text_plain").prop('checked')
            mode = "plain"
        if $("#text_xml").prop('checked')
            mode = "xml"
        set_textmode_to mode
        load_form(xml_editor, false)

    # Language selector
    build_analys_lang_selector = () ->
        $("#language_select_parent").html($("""<select id="language_select"></select>"""))

        lang_opts = for [lang_key, _analysis_lang] in [
                ["bg", "bulgariska"],
                ["et", "estniska"],
                ["fi", "finska"],
                ["la", "latin"],
                ["nl", "nederländska"],
                ["pl", "polska"],
                ["sk", "slovakiska"],
                ["sv", "svenska"],
                ["sv-dev", "svenska-dev"],
                ["sv-1800", "svenska-1800"],
                ["ro", "rumänska"],
                # ["as", "asturiska"],  # fl
                ["en", "engelska"],  # fl
                ["fr", "franska"],  # fl
                ["gl", "galiciska"],  # fl
                ["it", "italienska"],  # fl
                ["ca", "katalanska"],  # fl
                ["no", "norwegian"]  # fl
                ["pt", "portugisiska"],  # fl
                ["ru", "ryska"],  # fl
                ["sl", "slovenska"],  # fl
                ["es", "spanska"],  # fl
                ["de", "tyska"],  # fl
            ]
            do (lang_key) ->
                if (isLab and lang_key != "sv") or (not isLab and lang_key != "sv-dev")
                    loc = localization_info "analysis_lang", lang_key
                    return $("""<option value="#{lang_key}">""").localize_element loc

        sort_by_lang = (a, b) ->
            a = a.text()
            b = b.text()
            if a < b
                return -1
            if a > b
                return 1
            return 0

        $("#language_select").append(lang_opts.sort(sort_by_lang)...)

        # Set selected language, default to "sv" or "sv-dev" in Lab
        selected_language = $.bbq.getState("language")
        if not selected_language
            selected_language = if isLab then "sv-dev" else "sv"
        $('#language_select option[value="' + selected_language + '"]').prop('selected', true)

        # Convert select box to nicer version
        $("#language_select").buttonSelect(false)

        # Handler for change of analysis language.
        $("#language_select_parent").find("input:hidden").change ->
            $.bbq.pushState language: $(this).val()
            load_form(xml_editor, false)
            generate_examples($.bbq.getState("language"))
            xml_editor.setValue ""

    build_analys_lang_selector()

    $("#top_bar").append(language_buttons...)
    $("#top_bar").append(info_button)
    $("#top_bar").append(news_button)
    $("#top_bar").append(links_button)

    $("#activate_form").click   -> $.bbq.pushState advanced: true
    $("#deactivate_form").click -> $.bbq.pushState advanced: false

    $("#input_selector").click (evt) ->
        prev_state = $.bbq.getState "input"
        target = $(evt.target).data "target"
        if target == "#upload"
            new_state = "file"
            $("#xml_switch").hide()
            $("#extra_buttons").hide()
        else
            if $("#text_xml").prop('checked')
                new_state = "xml"
            else
                new_state = "plain"
            $("#xml_switch").show()
            $("#extra_buttons").show()

        # Reload form on state change
        if prev_state != new_state
            $.bbq.pushState input: new_state
            load_form(xml_editor, false)


    $(window).bind 'hashchange', (event) ->
        prevFragment = $.bbq.prevFragment or {}
        e = $.bbq

        hasChanged = (key) ->
            prevFragment[key] isnt e.getState(key)

        lang = $.bbq.getState "lang"
        if not lang
            lang = "sv"
        $.fn.set_language lang
        advanced = "true" == $.bbq.getState "advanced"
        $("#deactivate_form").set_show advanced
        $("#activate_form").set_show !advanced
        $(".advanced").set_show advanced
        $(".not-advanced").set_show !advanced

        # update order of language options upon localization
        if hasChanged("lang")
            build_analys_lang_selector()

        input = ($.bbq.getState "input") or default_textmode
        if input is "plain" or input is "xml"
            target = "#editor"
        else if input is "file"
            target = "#upload"
        else
            target = "#editor"
        $("a[data-target='#{target}']").click()

        $("body").attr("class", $("body").attr("class")?.replace(/input-\S*/, "") )
        $("body").addClass "input-" + target[1..]

        $.bbq.prevFragment = $.deparam.fragment()

    $(".title_text").click ->
        ui_lang = $.bbq.getState("lang")
        window.location.hash = ""
        $.bbq.pushState lang: ui_lang
        window.location.reload()
        set_textmode_to default_textmode
        # Hack to force reload.. better solution?
        $(window).trigger 'hashchange'
        false

    # Show query button (Makefile)
    $("#show_query").click ->
        $(this).hide()
        $("#show_settings_json").show()
        $("#hide_settings_json").hide()
        $("#hide_query").show()
        submit xml_editor, true
        # Scroll down
        scrollto = $("#query").offset().top
        $("html, body").stop().animate({scrollTop:scrollto}, '500')
        false

    # Hide query button
    $("#hide_query").click ->
        $(this).hide()
        $("#show_query").show()
        $("#query").text ""
        false

    # Show json settings button
    $("#show_settings_json").click ->
        $(this).hide()
        $("#show_query").show()
        $("#hide_query").hide()
        $("#hide_settings_json").show()
        $("#query").text JSON.stringify with_form.get(), undefined, 4
        # Scroll down
        scrollto = $("#query").offset().top
        $("html, body").stop().animate({scrollTop:scrollto}, '500')
        false

    # Hide json settings button
    $("#hide_settings_json").click ->
        $(this).hide()
        $("#show_settings_json").show()
        $("#query").text ""
        false

    resetWarnings = () ->
        $("#errors").empty()
        $("#warnings").empty()
        $("#show_warnings").hide()
        $("#hide_warnings").hide()

    # Submit editor content
    $(".btn_submit").click ->
        resetWarnings()
        submit xml_editor
        false

    $(".btn_upload").click ->
        resetWarnings()
        submitFiles()
        $("#result").empty()
        false


    # Set initial language to Swedish. This also sets the text value of uninitialized items.
    $(window).trigger 'hashchange'
    generate_examples($.bbq.getState("language"))

    # We used to check if we have a hash in the status bar, but now we wait for this
    # until after the form is loaded. See load_form.coffee

    if config.parsers?
        sel = $("<select class='parsers'>").insertAfter("#activate_form")
        sel.append("<option value=''>Parsers</option>")

        for key, val of config.parsers
            $("<option>", {value : key}).text(val).appendTo(sel)


$(document).ready () ->
    main()
    $("body").addClass "ready"

# Warn users that use old browsers
$ -> $.reject
    reject:
        all: false
        msie5: true
        msie6: true
        msie7: true
        msie8: true
        msie9: true
    imagePath: "lib/jquery-reject/images/"
    display: ['firefox','chrome','safari','opera']
    browserShow: true
    # Settings for which browsers to display
    browserInfo:
        firefox:
            # Text below the icon
            text: 'Firefox'
            # URL For icon/text link
            url: 'http://www.mozilla.com/firefox/'
        safari:
            text: 'Safari'
            url: 'http://www.apple.com/safari/download/'
        opera:
            text: 'Opera'
            url: 'http://www.opera.com/download/'
        chrome:
            text: 'Chrome'
            url: 'http://www.google.com/chrome/'
    # Header of pop-up window
    header: 'Du använder en omodern webbläsare'
    # Paragraph 1
    paragraph1: 'Korp och annoteringslabbet använder sig av moderna webbteknologier som inte stödjs av din webbläsare. En lista på de mest populära moderna alternativen visas nedan. Firefox rekommenderas varmt.'
    # Paragraph 2
    paragraph2: ''
     # Message displayed below closing link
    closeMessage: 'Du kan fortsätta ändå – med begränsad funktionalitet – men så fort du önskar att Korp och annoteringslabbet vore snyggare och snabbare är det bara att installera Firefox, det tar bara en minut.'
    # Text for closing link
    closeLink: 'Stäng varningen'
    # If cookies should be used to remmember if the window was closed (see cookieSettings for more options)
    closeCookie: true
    # Cookie settings are only used if closeCookie is true
    cookieSettings:
        path: '/' # Path for the cookie to be saved on (should be root domain in most cases)
        expires: 100000 # Expiration Date (in seconds), 0 (default) means it ends with the current session
