$.fn.outerHTML = () ->
    return $(this).clone().wrap('<div></div>').parent().html()

window.progress = {}

progress.initialize = ->
    $('#progress-div').css "display", ""
    $('#progress-bar').css "width", "0%"
    $('#progress-text').text ""

progress.clear = ->
    $('#progress-div').css "display", "none"
    $('#progress-bar').css "width", "0%"
    $('#progress-text').text ""

# Returns null if it is already complete or if there is an
# error in the XML, otherwise returns the parsed xml
progress.complete_partial_xml = (data) ->
    if -1 != data.indexOf '</result>'
        return null
    else
        data += '</result>'

    try
        xml = $.parseXML data
    catch e
        return null

    return xml

progress.handle = (data) ->
    if not data = progress.complete_partial_xml(data)
        progress.clear()

    address.set_from_xml data

    json = $.xml2json data

    if increment = _.last(json.increment)
        steps = Number increment.steps
        step = Number increment.step
        # This is a quick fix for the progress display. Needs some refactoring...
        # command = increment.command
        if json.increment.length > 1
            command = json.increment[json.increment.length-2].command
        else
            command = increment.command
        percent = if steps > 0 then step / steps * 100 else 100
        $('#progress-bar').css "width",(percent + '%')
        if command?
            $('#progress-text').localize_element
                sv: "Kör kommando #{command}..."
                en: "Running command #{command}..."
        else
            $('#progress-text').localize_element
                sv: ""
                en: ""

window.onFileProgress = (e, response = false) ->
    # if response
    #     incr = $("increment:last", response)
    # else
    data = progress.complete_partial_xml(e.target.response)
    # c.log "data", $("build", data).attr("hash")
    # incr = _.last ($.trim e.currentTarget.response).split("\n")
    incr = $("increment:last", data)
    # c.log "onFileProgress", incr.get(0), incr.outerHTML()

    if $("build", data).attr "hash"
        $.bbq.pushState {"hash": ($("build", data).attr "hash")}

    step = $(incr).attr("step")
    steps = $(incr).attr("steps")
    percent = Math.ceil((step / steps) * 100)

    if percent
        $('#progress-bar').css "width",(percent + '%')

    if step
        $('#progress-text').localize_element
            sv: "Kör steg #{step}/#{steps}"
            en: "Running step #{step}/#{steps}"
    else
        $('#progress-bar').css "width",(1 + '%')
        $('#progress-text').localize_element
            sv: "Startar körning..."
            en: "Starting up..."
