c = console
dismiss_button = ->
    $("""
        <button type="button" class="close" data-dismiss="alert">
            <i class="icon-remove"></i>
        </button>
    """)

window.show_errors = (data, warning) ->
    if data.nodeType is 1 or data.nodeType is 9 # is element
        errors = for err in $("error", data)
            $(err).text()
        stderrs = for err in $("stderr", data)
            $(err).text()
        warnings = for warn in $("warning", data)
            $(warn).text()
    else
        errors = [data]
        warnings = [warning]


    for error in errors
        console.log error
        error_div = $ """<div class="alert alert-error" style="margin-top: 20px;"/>"""
        error_div.append dismiss_button(), $("""<span></span>""").localize_element {
            sv: "Importkedjan gav följande felmeddelanden:",
            en: "The corpus pipeline generated the following errors:" }

        error_div.append $("""<pre class="original-pre">#{error}</pre>""")
        $("#errors").append error_div

    if error_div? and stderrs?
        for stderr in stderrs
            error_div.append $("""<span>Stderr:</span>""")
            error_div.append $("""<pre class="original-pre">#{stderr}</pre>""")

    for warning in warnings
        warnings_div = $ """<div class="alert alert-error" style="margin-top: 10px;"/>"""
        warnings_div.append dismiss_button(), $("""<span></span>""").localize_element {
            sv: "Importkedjan gav följande varningar:",
            en: "The corpus pipeline generated the following warnings:" }

        warnings_div.append $("""<pre class="original-pre">#{warning}</pre>""")
        $("#warnings").append warnings_div
        $("#warnings").hide()
        $("#show_warnings").show()
        $("#hide_warnings").hide()

    # Toggle warnings button
    $("#show_warnings").click ->
        $("#warnings").show()
        $("#show_warnings").hide()
        $("#hide_warnings").show()
    $("#hide_warnings").click ->
        $("#warnings").hide()
        $("#show_warnings").show()
        $("#hide_warnings").hide()
    return

setFileOnce = _.once (data) ->
    files = data.getElementsByTagName("original")?[0]?.getAttribute("files")
    link = data.getElementsByTagName("corpus")?[0]?.getAttribute("link")
    # window.onFileProgress(null, data)
    for file in files.split(", ")
        makeUploadIcon({name: file}, true)
        $(".fileinput-button, #fileupload").attr("disabled", true)
    if link
        makeDownloadBtn(link)

isFileUpload = (data) ->
    data.getElementsByTagName("build")?[0]?.getAttribute("type") == "files"

window.submit = (xml_editor, makefile=false, join_with_hash=null) ->
    settings = with_form.get()
    incremental = not makefile
    text = if join_with_hash then "" else xml_editor.getValue()
    req_url = config.address

    if join_with_hash
        req_url += "/join?hash=" + join_with_hash
    else
        if makefile
            req_url += "/makefile"
        req_url += "?settings=" + JSON.stringify(settings)

    req_url += "&language=" + $.bbq.getState("language")
    req_url += "&incremental=" + (String incremental)
    req_url += "&mode=" + $.bbq.getState("input")

    progress.initialize() if incremental

    set_form_and_editor_when_joining = (data_lazy) ->
        if typeof(data_lazy) is "function"
            data = data_lazy()
        else
            data = data_lazy

        if join_with_hash and data
            window.first_data = data
            if settings = data.getElementsByTagName("settings")?[0]?.textContent
                with_form.set JSON.parse settings
                set_textmode_auto JSON.parse settings
            if isFileUpload(data)
                setFileOnce(data)

            else if original = data.getElementsByTagName("original")?[0]?.textContent
                s = JSON.parse settings
                # Remove text tag in plain mode
                if s["textmode"] is "plain" and original.startsWith("<text>") and original.endsWith("</text>")
                    original = original.replace("<text>", "")
                    original = original.replace("</text>", "")
                xml_editor.setValue original

    config.requester(req_url, (if makefile then "text" else "xml"), {text:text})
        .done (data, textStatus, xhr) ->
            # c.log "done", data, textStatus, xhr
            set_form_and_editor_when_joining(data)
            progress.clear()
            if makefile
                $("#query").text data
            else
                show_errors data
                make_table data
            return

        .progress (data, e) ->
            set_form_and_editor_when_joining -> progress.complete_partial_xml(e.target.response)
            data = progress.complete_partial_xml(e.target.response)
            build = $(data).find("build")
            if $(build).attr("type") == "files"
                window.onFileProgress(e)
            else
                progress.handle e.target.response if incremental


        .fail (jqXHR, textStatus, errorThrown) ->
            progress.clear()
            show_errors(errorThrown)
            console.log "error", jqXHR, textStatus, errorThrown

    false

window.submitFiles = () ->
    $(".btn_upload").prop("disabled", true)
    url = config.address + "/upload" + "?settings=" + JSON.stringify(with_form.get())
    if $("#address").val()
        url += "&language=" + $.bbq.getState("language")
        url += "&email=" + $("#address").val()

    if not files.length and $.bbq.getState("hash")
        config.requester(url + "&hash=" + $.bbq.getState("hash"), "text")
            .progress (data, e) ->
                onFileProgress(e)
        sendFiles()
    else
        $('#fileupload').fileupload("option", "url", url)
        sendFiles()

sendFiles = () ->
    $('#fileupload').fileupload("send", {files: files})
